Page MenuHomePhabricator

Hard deprecate Revision::getPrevious
Closed, ResolvedPublic

Description

Remaining deployed uses:

  • Core
    • EditPage::edit
    • DifferenceEngine::showDiffPage and ::loadRevisionData
    • RevisionDbTest
  • CognatePageHookHandler::onPageContentSaveComplete (hook handler, hook needs to be replaced)
  • MobileFrontendHooks::onDiffViewHeader (hook handler, hook needs to be replaced)
  • ThanksHooks::insertThankLink (hook handler for HistoryRevisionTools and DiffRevisionTools, both hooks need to be replaced)

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptApr 27 2020, 4:14 AM
daniel moved this task from Inbox to Tracking/Watching on the Platform Engineering board.
daniel added a subscriber: daniel.

There is nothing to review here, all subtasks are tracked separately. Removed from CPT external code review, moved to "tracking" on the CPT board.

There is nothing to review here, all subtasks are tracked separately. Removed from CPT external code review, moved to "tracking" on the CPT board.

Should I add the external code review tag once there are patches to review?

Change 594326 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Thanks@master] Reduce use of Revision objects in ThanksHooks

https://gerrit.wikimedia.org/r/594326

DannyS712 claimed this task.May 5 2020, 9:09 AM

There is nothing to review here, all subtasks are tracked separately. Removed from CPT external code review, moved to "tracking" on the CPT board.

Should I add the external code review tag once there are patches to review?

yes, go ahead

Change 599138 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] EditPage::edit - remove use of Revision objects

https://gerrit.wikimedia.org/r/599138

DannyS712 updated the task description. (Show Details)May 28 2020, 3:28 AM

Change 599138 merged by jenkins-bot:
[mediawiki/core@master] EditPage::edit - remove use of Revision objects

https://gerrit.wikimedia.org/r/599138

DannyS712 updated the task description. (Show Details)May 28 2020, 3:31 AM

Change 599158 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Cognate@master] onPageContentSaveComplete - remove use of Revision objects

https://gerrit.wikimedia.org/r/599158

Change 594326 merged by jenkins-bot:
[mediawiki/extensions/Thanks@master] Reduce use of Revision objects in ThanksHooks

https://gerrit.wikimedia.org/r/594326

Change 599983 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MobileFrontend@master] MobileFrontendHooks::onDiffViewHeader - reduce use of Revision objects

https://gerrit.wikimedia.org/r/599983

Change 599158 merged by jenkins-bot:
[mediawiki/extensions/Cognate@master] onPageContentSaveComplete - remove use of Revision objects

https://gerrit.wikimedia.org/r/599158

DannyS712 updated the task description. (Show Details)Jun 3 2020, 12:15 AM

Change 601916 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Hard deprecate Revision::getPrevious and ::isDeleted

https://gerrit.wikimedia.org/r/601916

Change 599983 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] MobileFrontendHooks::onDiffViewHeader - reduce use of Revision objects

https://gerrit.wikimedia.org/r/599983

Change 601916 merged by jenkins-bot:
[mediawiki/core@master] Hard deprecate Revision::getPrevious and ::isDeleted

https://gerrit.wikimedia.org/r/601916

DannyS712 closed this task as Resolved.Jun 3 2020, 2:53 AM
DannyS712 removed a project: Patch-For-Review.
DannyS712 updated the task description. (Show Details)
DannyS712 updated the task description. (Show Details)